Bug 45950 - Add shortcut to jump to top of history
Summary: Add shortcut to jump to top of history
Status: RESOLVED FIXED
Alias: None
Product: konsole
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Gentoo Packages Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Konsole Developer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-07-30 14:48 UTC by bastiaf
Modified: 2011-08-02 03:29 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 4.8


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description bastiaf 2002-07-30 14:41:30 UTC
(*** This bug was imported into bugs.kde.org ***)

Package:           konsole
Version:           KDE 3.0.2 
Severity:          wishlist
Installed from:    Gentoo Packages
Compiler:          gcc version 2.95.3 20010315 (release)
OS:                Linux
OS/Compiler notes: Not Specified

It would be nice if you can jump to the beginning/first line with Shift+Pos1 instead scrolling with the mouse to the top.

Maybe the same for Shift+End. (I know that Konsole jumps automatically to the end if you want to write someting but it is more uniform to have Pos1 and End.)

(Submitted via bugs.kde.org)
Comment 1 Kurt Hindenburg 2005-01-23 19:13:40 UTC
You're referring to the history/scrollbar and you want to jump to the top of the output history?  Best just to allow a shortcut for this...
Comment 2 Kurt Hindenburg 2011-08-02 03:29:27 UTC
Git commit 9cf9557c8f300a00cb89a3b507f1edc98d3bf9d9 by Kurt Hindenburg.
Committed on 02/08/2011 at 05:19.
Pushed by hindenburg into branch 'master'.

Add shortcuts to jump to top & bottom of history.

The shortcut of jumping to top of history is for the request of #45950

The shortcut of jumping to bottom of history is added not only for
consistency, but also to be used for #38390, especially its comment #9
 and #10.

Patch by Jekyll Wu <adaptee@gmail.com>

FEATURE: 38390
FEATURE: 45950
FIXED-IN: 4.8
REVIEW: 102124

M  +2    -0    data/keyboard-layouts/default.keytab
M  +11   -4    src/Vt102Emulation.cpp
M  +6    -2    src/KeyboardTranslator.h
M  +8    -0    src/KeyboardTranslator.cpp

http://commits.kde.org/konsole/9cf9557c8f300a00cb89a3b507f1edc98d3bf9d9